[arch-commits] Commit in gmp/repos (6 files)

Allan McRae allan at archlinux.org
Mon May 7 08:43:27 UTC 2012


    Date: Monday, May 7, 2012 @ 04:43:27
  Author: allan
Revision: 158687

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gmp/repos/testing-i686/
  gmp/repos/testing-i686/PKGBUILD
    (from rev 158686, gmp/trunk/PKGBUILD)
  gmp/repos/testing-i686/gmp.install
    (from rev 158686, gmp/trunk/gmp.install)
  gmp/repos/testing-x86_64/
  gmp/repos/testing-x86_64/PKGBUILD
    (from rev 158686, gmp/trunk/PKGBUILD)
  gmp/repos/testing-x86_64/gmp.install
    (from rev 158686, gmp/trunk/gmp.install)

----------------------------+
 testing-i686/PKGBUILD      |   37 +++++++++++++++++++++++++++++++++++++
 testing-i686/gmp.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD    |   37 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/gmp.install |   20 ++++++++++++++++++++
 4 files changed, 114 insertions(+)

Copied: gmp/repos/testing-i686/PKGBUILD (from rev 158686, gmp/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-05-07 08:43:27 UTC (rev 158687)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=5.0.5
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+options=(!libtool)
+install=gmp.install
+source=(ftp://ftp.gnu.org/gnu/gmp/gmp-${pkgver}.tar.xz{,.sig})
+md5sums=('8aef50959acec2a1ad41d144ffe0f3b5'
+         '406e8878aadc51b134d1b3dd845261ee')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  
+  [ "${CARCH}" = "i686" ] && export ABI="32"
+  ./configure --build=${CHOST} \
+    --prefix=/usr --infodir=/usr/share/info \
+    --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-i686/gmp.install (from rev 158686, gmp/trunk/gmp.install)
===================================================================
--- testing-i686/gmp.install	                        (rev 0)
+++ testing-i686/gmp.install	2012-05-07 08:43:27 UTC (rev 158687)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: gmp/repos/testing-x86_64/PKGBUILD (from rev 158686, gmp/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-05-07 08:43:27 UTC (rev 158687)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=5.0.5
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+options=(!libtool)
+install=gmp.install
+source=(ftp://ftp.gnu.org/gnu/gmp/gmp-${pkgver}.tar.xz{,.sig})
+md5sums=('8aef50959acec2a1ad41d144ffe0f3b5'
+         '406e8878aadc51b134d1b3dd845261ee')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  
+  [ "${CARCH}" = "i686" ] && export ABI="32"
+  ./configure --build=${CHOST} \
+    --prefix=/usr --infodir=/usr/share/info \
+    --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-x86_64/gmp.install (from rev 158686, gmp/trunk/gmp.install)
===================================================================
--- testing-x86_64/gmp.install	                        (rev 0)
+++ testing-x86_64/gmp.install	2012-05-07 08:43:27 UTC (rev 158687)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list